#include <linux/init.h>
#include <linux/hid.h>
#include <linux/module.h>

#define USB_VENDOR_ID_CORSAIR 0x1b1c
#define USB_DEVICE_ID_LIGHTNING_NODE_PRO 0x0c0b

static int lightning_node_pro_led_probe(struct hid_device *hdev,
					const struct hid_device_id *id)
{
	pr_info("Détection USB pour Lightning Node Pro\n");

	return 0;
}

static void lightning_node_pro_led_remove(struct hid_device *dev)
{
	pr_info("Retrait USB pour Lightning Node Pro\n");
}

static struct hid_device_id lightning_node_pro_led_table[] = {
	{ HID_USB_DEVICE(USB_VENDOR_ID_CORSAIR,
			 USB_DEVICE_ID_LIGHTNING_NODE_PRO) },
	{} /* Entrée de terminaison */
};
MODULE_DEVICE_TABLE(hid, lightning_node_pro_led_table);

static struct hid_driver lightning_node_pro_led_driver = {
	.name = "lightning-node-pro",
	.id_table = lightning_node_pro_led_table,
	.probe = lightning_node_pro_led_probe,
	.remove = lightning_node_pro_led_remove,
};

module_hid_driver(lightning_node_pro_led_driver);

MODULE_LICENSE("GPL");
MODULE_AUTHOR("Florian RICHER <florian.richer@protonmail.com>");
MODULE_DESCRIPTION("Un module noyau pour utiliser le Lightning Node Pro LED");
MODULE_VERSION("1.0");